<?php

function relax_spa_dynamic_css()
{
    wp_enqueue_style(
        'relax-spa-style',
        get_stylesheet_uri(),
        array(),
        RELAX_SPA_VERSION
    );
    $site_title_color = get_theme_mod( 'bs_site_title_color_option', '#000' );
    $site_title_size = get_theme_mod( 'bs_site_title_size', '30' );
    $logo_size = absint( $site_title_size * 2 );
    $site_identity_font_family = get_theme_mod( 'bs_site_identity_font_family', 'Dancing Script' );
    $primary_color = relax_spa_hex_to_rgba( '#2C396B' );
    $secondary_color = relax_spa_hex_to_rgba( '#DBAE95' );
    $dark_color = relax_spa_hex_to_rgba( '#000000' );
    $light_color = relax_spa_hex_to_rgba( '#ffffff' );
    $text_color = relax_spa_hex_to_rgba( '#757575' );
    $body_font_family = esc_attr( get_theme_mod( 'body_font_family', 'Mulish' ) );
    $font_size = esc_attr( get_theme_mod( 'font_size', '16px' ) );
    $body_font_weight = esc_attr( get_theme_mod( 'body_font_weight', 400 ) );
    $body_line_height = get_theme_mod( 'body_line_height', '1.5' );
    $heading_font_family = esc_attr( get_theme_mod( 'heading_font_family', 'Poppins' ) );
    $topheading_font_family = esc_attr( get_theme_mod( 'topheading_font_family', 'Caveat' ) );
    $dynamic_css = "\n        :root {\n                --primary-color: {$primary_color};\n                --secondary-color: {$secondary_color};\n                --dark-color: {$dark_color};\n                --light-color: {$light_color};\n                --text-color: {$text_color};\n\n                --body-font: {$body_font_family};\n                --heading-font: {$heading_font_family};\n                --topheading-font: {$topheading_font_family};\n                \n               \n        }\n                /* site title size */\n                .site-title a{ font-size: {$site_title_size}" . "px; font-family: {$site_identity_font_family}; color: {$site_title_color}; }\n                \n                header .custom-logo-link img{ height: {$logo_size}" . "px; }\n\n                /* font family */\n                html,:root{ font-size: {$font_size};}\n\n                body{line-height: {$body_line_height};  font-weight:{$body_font_weight}; }\n\n              \n        ";
    wp_add_inline_style( 'relax-spa-style', $dynamic_css );
}

add_action( 'wp_enqueue_scripts', 'relax_spa_dynamic_css' );