<?php

function relax_spa_starter_content() {
	$starter_content = array(
	    'options' => array(
	    	'show_on_front' => 'page',
	        'page_on_front' => '{{home}}',
	        'page_for_posts' => '{{blog}}',
			'blogdescription' => esc_html__( 'Just another Preview Sites', 'relax-spa' )
	    ),
	    // Starter pages to include
        'posts' => array(
            'home' => array(
	            'post_type' => 'page',
	            'post_title' => esc_html__( 'Home', 'relax-spa' ),	            
	            'template' => 'template-home.php',
	        ),
			'about',
	        'blog',	
			'who-we-are' => array(
	            'post_type' => 'page',
	            'post_title' => esc_html__( 'Who we are', 'relax-spa' ),	            
	            'post_content' => esc_html__( 'we established this company in 1989. We opened our first office in London at the end of June, 1997 and were soon joined by a large number that came from other parts to work on technology projects here. Today we have offices around the world – Canada, Germany, Australia.', 'relax-spa' ),
	        ),     
        ),
		'attachments' => array(
			'offer-image' => array(
				'post_title' => _x( 'Offer Image', 'Theme starter content', 'relax-spa' ),
				'file' => 'images/about.jpg', // URL relative to the template directory.
			),
		),

		'theme_mods' => array(
	        'relax_spa_contact_number' => esc_html__( '+9779906789890', 'relax-spa' ),
	        'relax_spa_email_address' => esc_html__( 'relaxspa@demo.com', 'relax-spa' ),
			'bs_header_cta_label' => esc_html__( 'BOOK AN APPOINTMENT', 'relax-spa' ),
	        'bs_header_cta_link' => esc_html__( '#', 'relax-spa' ),

			'relax_spa_social_media' => array(
				array(
					'social_media_repeater_class' => esc_attr( 'facebook' ),
					'social_media_link'     => esc_url( '#' ),		
				),
				array(
					'social_media_repeater_class' => esc_attr( 'twitter' ),
					'social_media_link'     => esc_url( '#' ),		
				),
				array(
					'social_media_repeater_class' => esc_attr( 'instagram' ),
					'social_media_link'     => esc_url( '#' ),		
				),
				array(
					'social_media_repeater_class' => esc_attr( 'youtube' ),
					'social_media_link'     => esc_url( '#' ),		
				),
				
			),

			'banner_section_top_title' => esc_html__( 'For your health', 'relax-spa' ),
			'banner_section_title' => esc_html__( 'sessions of relaxation', 'relax-spa' ),
	        'banner_section_description' => esc_html__( 'Our healing and wellness practices are a blend of Eastern and Western techniques that are deeply rooted in the ancient healing arts of acupuncture, Thai massage, Qi Gong, Shiatsu, Kinesiology, Acupressure, massage therapy, and energy work.', 'relax-spa' ),
			'banner_section_cta_label' => esc_html__( 'Learn More', 'relax-spa' ),
	        'banner_section_cta_link' => esc_html__( '#', 'relax-spa' ),

			'bs_heading_for_who_we_are' =>  esc_html__( 'Who we are', 'relax-spa' ),

			'bs_heading_for_offer' => esc_html__( 'Discount up to 35% for first member!', 'relax-spa' ),
	        'bs_content_for_offer' => esc_html__( 'We offer a variety of services and modalities, to support the healing process and the relationship between our practitioners. Whether you are in need of relaxation, pain management or stress relief, our team is here to support you. We have an open line of communication and can provide information and advice if needed.', 'relax-spa' ),
			'bs_image_for_offer'   => esc_url( get_template_directory_uri().'/images/about.jpg' ),
			'bs_read_more_label' => esc_html__( 'Learn More', 'relax-spa' ),
	        'bs_read_more_link' => esc_url( '#' ),
    		
			'bs_copyright_text' => wp_kses_post( __( 'Relax Spa © 2021 | Powered by <a href="https://wordpress.org">WordPress</a> | Theme by <a href="https://thebootstrapthemes.com/">TheBootstrapThemes</a>', 'relax-spa' ) ),
			
			'bs_services_section' => array(
				array(
					'bs_service_thumbnail' => esc_url( get_template_directory_uri().'/images/service.png' ),
					'bs_service_title'     => esc_html__( 'Hydro Therapy', 'relax-spa' ),
					'bs_service_desc'      => esc_html__( 'Hydrotherapy is a form of massage which combines hot water and oil to enhance muscle tissue.', 'relax-spa' ),
					'bs_service_btn'       => esc_html__( 'Learn More', 'relax-spa' ),
					'bs_service_btnlink'   => esc_url( '#' ),
					
				),
				array(
					'bs_service_thumbnail' => esc_url( get_template_directory_uri().'/images/service.png' ),
					'bs_service_title' 	 => esc_html__( 'Relaxing Massages', 'relax-spa' ),
					'bs_service_desc'  	 => esc_html__( 'Allowing your body to relax and recover from the work, rather than focusing on pain or stress; relaxing is often part of what leads to better performance.', 'relax-spa' ),
					'bs_service_btn'     => esc_html__( 'Learn More', 'relax-spa' ),
					'bs_service_btnlink' => esc_url( '#' ),
				),
				array(
					'bs_service_thumbnail' => esc_url( get_template_directory_uri().'/images/service.png' ),
					'bs_service_title' => esc_html__( 'Aroma Therapy', 'relax-spa' ),
					'bs_service_desc'  => esc_html__( 'Aroma therapy is a modality that appears to provide substantial benefits in reducing anxiety, but its efficacy has not been widely studied.', 'relax-spa' ),
					'bs_service_btn'     => esc_html__( 'Learn More', 'relax-spa' ),
					'bs_service_btnlink' => esc_url( '#' ),
			
				),
			),
			'counter_display_option' => array(
				array(
					'counter_number' => 8,
					'counter_text'     => esc_html__( 'Years of Experience', 'relax-spa' ),		
				),
				array(
					'counter_number' => 34,
					'counter_text'     => esc_html__( 'Therapist Expert', 'relax-spa' ),		
				),
				array(
					'counter_number' => 78,
					'counter_text'     => esc_html__( 'Award Won', 'relax-spa' ),		
				),
				array(
					'counter_number' => 582,
					'counter_text'     => esc_html__( 'Happy Customer', 'relax-spa' ),		
				),
				
			),

			'bs_top_heading_for_why_choose_us' =>  esc_html__( 'Why Choose Us', 'relax-spa' ),
			'bs_heading_for_why_choose_us' =>  esc_html__( 'Why Are We Different', 'relax-spa' ),
			'bs_image_for_why_choose_us' =>  esc_url( get_template_directory_uri().'/images/whychooseus.jpg' ),

			'bs_points_for_why_choose_us' => array(
				array(
					'bs_why_choose_us_thumbnail' => esc_url( get_template_directory_uri().'/images/whychoose1.png' ),
					'bs_why_choose_us_title'     => esc_html__( 'Professional', 'relax-spa' ),
					'bs_why_choose_us_desc'     => esc_html__( 'You get professional people for massage services. You may also see an experienced client who uses a specialty instrument.', 'relax-spa' ),		
				),
				array(
					'bs_why_choose_us_thumbnail' => esc_url( get_template_directory_uri().'/images/whychoose1.png' ),
					'bs_why_choose_us_title'     => esc_html__( 'Certified Therapist', 'relax-spa' ),
					'bs_why_choose_us_desc'     => esc_html__( 'many people are certified by us and who have found this to be the best option that we can provide." I asked if it would help your business.', 'relax-spa' ),		
				),
				array(
					'bs_why_choose_us_thumbnail' => esc_url( get_template_directory_uri().'/images/whychoose1.png' ),
					'bs_why_choose_us_title'     => esc_html__( 'Trusted', 'relax-spa' ),
					'bs_why_choose_us_desc'     => esc_html__( 'we are trusted by many people, whether from within their own family or friends. We would never want to harm you.', 'relax-spa' ),		
				),
				array(
					'bs_why_choose_us_thumbnail' => esc_url( get_template_directory_uri().'/images/whychoose1.png' ),
					'bs_why_choose_us_title'     => esc_html__( 'Support', 'relax-spa' ),
					'bs_why_choose_us_desc'     => wp_kses_post( __( '24/hr support, we would like to extend our thanks for your patience and feedback about the update! As always: Thanks for listening.', 'relax-spa' ) ),		
				),
				
			),
			'bs_top_heading_for_testimonial' =>  esc_html__( 'Testimonials', 'relax-spa' ),
			'bs_heading_for_testimonial' =>  esc_html__( 'What They Say', 'relax-spa' ),
			
			'bs_top_heading_for_teams' => esc_html__( 'Meet', 'relax-spa' ),
			'bs_heading_for_teams' =>  esc_html__( 'Our Experts', 'relax-spa' ),

			'bs_tickets_top_heading' =>  esc_html__( 'Amazing', 'relax-spa' ),
			'bs_tickets_heading' =>  esc_html__( 'Services Pricing', 'relax-spa' ),
		),    
		'nav_menus' => array(
			'main-menu' => array(
				'name' => __( 'Main Menu', 'relax-spa' ),
				'items' => array(
					'page_home' => array(
						'type' => 'post_type',
						'object' => 'page',
						'object_id' => '{{home}}',
					),
					'page_about' => array(
						'type' => 'post_type',
						'object' => 'page',
						'object_id' => '{{about}}',
					),
					'page_blog' => array(
						'type' => 'post_type',
						'object' => 'page',
						'object_id' => '{{blog}}',
					),
					'page_who_we_are' => array(
						'type' => 'post_type',
						'object' => 'page',
						'object_id' => '{{who-we-are}}',
					),
				),
			),	
		),
		'widgets' => array(
						'footer-1' => array(
        						'my_text' => array(
								'text',
								array(
									'title' => esc_html__( 'Address', 'relax-spa' ),
									'text'  => '<p>' . esc_html__( 'Phone: +977-1-47012454', 'relax-spa' ) . '</p>'.
												'<p>' . esc_html__( 'Email: info@xyz-spa.com', 'relax-spa' ). '</p>'.
												'<p>' . esc_html__( 'GPO Box : 5612, Thamel ,Kathmandu ', 'relax-spa' ) . '</p>'.
												'<p>' . esc_html__( 'Fax Number: 503-555-1213', 'relax-spa' ). '</p>',
									)
								),
							),
							'footer-2' => array(
								'text_business_info',
							),
							'footer-3' => array(
								'meta',
							),
							'footer-4' => array(
								'search',
							),
			
			
		)
	);

	return $starter_content; 
}