<?php
/**
 * Counter Section
 * 
 * @package relax_spa
 */
    if( get_theme_mod( 'banner_section_display_option', true ) ) :
        $banner_title = get_theme_mod( 'banner_section_title' );
        $banner_section_top_title = get_theme_mod( 'banner_section_top_title' );
        $banner_desc = get_theme_mod( 'banner_section_description' );
        $banner_cta_label = get_theme_mod( 'banner_section_cta_label' );
        $banner_cta_link = get_theme_mod( 'banner_section_cta_link' );
        $bs_bg_image = get_theme_mod( 'bs_bg_image' );
?>
<section class="banner" id="relax_spa_banner_section" style="background-image: url(<?php echo esc_url($bs_bg_image); ?>);">
    <div class="container">
      <div class="banner-holder">
        <div class="item">
          <div class="caption">
            <span class="sub-title"><?php echo esc_html( $banner_section_top_title ); ?></span>
            <h1 class="main-title"><?php echo esc_html( $banner_title ); ?></h1>
            <p><?php echo esc_html( $banner_desc ); ?></p>
            <?php if($banner_cta_link && $banner_cta_label ){ ?>
            <a class="btn btn-third" href="<?php echo esc_url( $banner_cta_link ); ?>">
                <?php echo esc_html( $banner_cta_label ); ?>
            </a>
          <?php } ?>
          </div>
          <div class="img-holder">
          <?php if( has_header_image() ) : ?>	
		        <img src="<?php echo esc_url( get_header_image() ); ?>">
		      <?php endif; ?>
          </div>
        </div>
      </div>
    </div>
</section>
<?php 
  endif;